import { AnnotationLayer } from "./AnnotationLayer";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { Base, Type, Point } from "igniteui-react-core/ES5/type";
import { Series } from "./Series";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { Thickness } from "igniteui-react-core/ES5/Thickness";
import { CalloutCollisionMode } from "./CalloutCollisionMode";
import { FontInfo } from "igniteui-react-core/ES5/FontInfo";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { CalloutLayerFrame } from "./CalloutLayerFrame";
import { CalloutAnnotationWrapper } from "./CalloutAnnotationWrapper";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { CalloutSeriesSelectingEventArgs } from "./CalloutSeriesSelectingEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Size } from "igniteui-react-core/ES5/Size";
import { CalloutContentUpdatingEventArgs } from "./CalloutContentUpdatingEventArgs";
import { CalloutLabelUpdatingEventArgs } from "./CalloutLabelUpdatingEventArgs";
import { DataContext } from "igniteui-react-core/ES5/DataContext";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { HashPool$2 } from "igniteui-react-core/ES5/HashPool$2";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
import { TextBlock } from "igniteui-react-core/ES5/TextBlock";
import { IExecutionContext } from "igniteui-react-core/ES5/IExecutionContext";
import { Visibility } from "igniteui-react-core/ES5/Visibility";
export declare class CalloutLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    private pd;
    protected hr(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    c8(a: boolean): boolean;
    private nr;
    private pp;
    private pq;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    o1: string;
    m9: IFastItemColumn$1<any>;
    private m4;
    o8: string;
    na: IFastItemColumn$1<any>;
    private m5;
    pb: string;
    nb: IFastItemColumn$1<any>;
    private m6;
    oy: string;
    m8: IFastItemColumn$1<any>;
    private m3;
    nn: boolean;
    os: string;
    m7: IFastItemColumn$1<any>;
    private m2;
    private ns;
    private nv;
    private pf;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    protected mw: CalloutLayerView;
    private nw;
    mz: Series;
    op: string;
    nm: boolean;
    np: boolean;
    no: boolean;
    n7: number;
    qj: Brush;
    qg: Brush;
    n8: number;
    qi: Brush;
    qh: Brush;
    readonly qn: Thickness;
    n0: number;
    n2: number;
    n1: number;
    nz: number;
    mt: CalloutCollisionMode;
    n3: number;
    n4: number;
    o4: string;
    private m0;
    readonly m1: FontInfo;
    protected ma(a: Series, b: boolean): void;
    protected mc(a: Frame, b: SeriesView): void;
    private nt;
    private nq;
    private nc;
    private ql;
    protected jk(a: Rect, b: Rect): void;
    protected jj(a: Rect, b: Rect): void;
    private ni;
    private n6;
    private qk;
    qm: Rect;
    private pl;
    private ph;
    private nd;
    private n9;
    private oa;
    private ne;
    private pe;
    private nf;
    private n5;
    private nx;
    private ob;
    protected lx(a: Series): boolean;
    ie(): void;
    private nh;
    pk(): void;
    calloutContentUpdating: (sender: any, args: CalloutContentUpdatingEventArgs) => void;
    calloutLabelUpdating: (sender: any, args: CalloutLabelUpdatingEventArgs) => void;
    calloutSeriesSelecting: (sender: any, args: CalloutSeriesSelectingEventArgs) => void;
    private nu;
    private pm;
    private nk;
    private nl;
    private ny;
    private nj;
    protected bd(): SeriesHitTestMode;
    ar(a: Point, b: boolean): DataContext;
    df(a: Point, b: boolean): boolean;
    protected po(a: CalloutLayerFrame, b: boolean): void;
    protected mf(a: Frame, b: SeriesView): void;
    protected c6(): boolean;
    protected ir(a: any, b: string, c: any, d: any): void;
    private pn;
    private ng;
    private pi;
    private pg;
    private pj;
    static $$p: string[];
}
export declare class CalloutLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CalloutLayer);
    protected b1: CalloutLayer;
    private b7;
    ap(): void;
    private b3;
    private b9;
    private cb;
    private ca;
    b6: HashPool$2<CalloutAnnotationWrapper, CalloutView>;
    ci(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    protected b5(): FontInfo;
    ai(a: any): void;
    private b8;
    ck(a: TextBlock): Size;
    private b2;
    cj(a: any, b: Thickness): Size;
    b4(): IExecutionContext;
    cc(a: CalloutView, b: number, c: number): void;
    cd(a: CalloutView, b: CalloutAnnotationWrapper, c: any): void;
    ce(a: Series): Brush;
    ch(): Brush;
    cg(): Brush;
    cf(a: Series): Brush;
}
export declare class CalloutView extends Base {
    static $t: Type;
    constructor(a: CalloutLayerView);
    private a;
    w: Visibility;
    h(a: RenderingContext): void;
    private j;
    private r;
    private o;
    private q;
    p: Point;
    n: Brush;
    m: Brush;
    l: Brush;
    k: Brush;
    c: number;
    private u;
    private t;
    v: Thickness;
    f: any;
    d: number;
    e: number;
    s(): Size;
    private b;
    i(a: Series, b: CalloutAnnotationWrapper, c: any): void;
    g(a: CalloutLayer, b: FontInfo, c: any): void;
}
